#include <Wire.h>
#include "avr/sleep.h"
byte address = 0B1100010;
byte DB0;
byte DB1;
byte DB2;
long int frequenza = 66000000;
int f_step = 25000;
long int N = 0;
void setup() 
{
  Serial.begin(9600);
  N = frequenza / f_step;
  Serial.print("Frequenza: ");
  Serial.print(frequenza);
  Serial.println(" Hz");
  Serial.print("Step: ");
  Serial.print(f_step);
  Serial.println(" Hz");
  Serial.print("N: ");
  Serial.println(N);  
  DB0  = N << 1;  
  DB1  = N >> 7;
  DB2  = N >> 15;
  bitSet(DB2, 5);
  switch(f_step)
  {
    case 1000: 
    bitClear(DB2, 7);
    bitClear(DB2, 6); 
    break;
    case 10000:     
    bitClear(DB2, 7);
    bitSet(DB2, 6);    
    break;
    case 25000:     
    bitSet(DB2, 7);
    bitClear(DB2, 6);   
    break;
  }
  Serial.print("Registri DB2 DB1 DB0: "); 
  Serial.print(DB2,BIN);
  Serial.print(" ");
  Serial.print(DB1,BIN);
  Serial.print(" ");
  Serial.print(DB0,BIN);
  byte data[] = {0B0, DB0,DB1,DB2,0B0}; 
  Wire.begin();
  Wire.beginTransmission(address);
  Wire.write(data, sizeof(data)); 
  Wire.endTransmission();
  delay(1000);
  set_sleep_mode(SLEEP_MODE_PWR_DOWN);
  sleep_mode();
}
void loop()
{  
 
}
